<?php

/*
*	Syndeo CMS (former Site@School)
* 	is a website management system designed for primary schools.
* =============================================================================== *
* History Site@School:
* Original idea, coding (version 1.0) and design : Mark de Haan (mark@starwave.nl)
* Ideas, improvements, expansions (versions 1.1 - 2.4): 
* Karin Abma, Dirk Schouten and Fred Stuurman
* Coding version 1.1 - 2.4.10 Fred Stuurman
* =============================================================================== *
* Syndeo CMS Software Version: 3.1.00  
* Copyright (C) 2007-2012 Fred Stuurman (fc.stuurman@gmail.com)
* Core function:
* pagemanager.inc.php: last changed 11/04/2013 by Fred Stuurman (fc.stuurman@gmail.com)
* $Id$
* =============================================================================== *
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.

* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
* See the GNU General Public License in the starnet directory for more details.
*/

if (!defined('IN_SAS'))
{
	die("Hacking attempt");
}

if (IsSet ($_GET['suboption']))
{
	$suboption = sanitize($_GET['suboption'], 20, 'A');
}
else
{
	$suboption = "";
}
if (IsSet ($_GET['site']))
{
	$site = sanitize($_GET['site'], 10 , 'A');
}
else
{
	$site = "";
}
if (IsSet ($_GET['page']))
{
	$page = intval($_GET['page']);
}
if (IsSet ($_GET['section']))
{
	$section = intval($_GET['section']);
}
$d = date("Y-m-d");

include ("interface/header.inc.php");
include ("interface/menubar.inc.php");
include ("interface/menustart.inc.php");
$class = "";
if($site == "public") $class = "class='active'";
print "<li $class><a href=\"index.php?option=pagemanager&site=public\">" . $sas_lang['public_area'] . "</a></li>\n";

$class = "";
if(($site == "protected") AND ($suboption != "overview")) $class = "class='active'";
print "<li $class><a href=\"index.php?option=pagemanager&site=protected\">" . $sas_lang['protected_area'] . "</a></li>\n";
include ("interface/menuend.inc.php");

if (($site == "protected") AND (substr("$access", 12, 1) != 1)) //bit 13 off the accessrights
{
	print "<span class=\"sas_module_title\">" . $sas_lang['noaccess'] . "<br></span>";
	print "" . $sas_lang['noaccess_introduction'] . "</span><br><br><br>";
	include ("interface/footer.inc.php");
	exit;
}

if ((substr("$access", 1, 1) != 1) and ($site != "protected")) //bit 2 off the accessrights
{
	print "<span class=\"sas_module_title\">" . $sas_lang['noaccess'] . "<br></span>";
	print "" . $sas_lang['noaccess_introduction'] . "</span><br><br><br>";
	include ("interface/footer.inc.php");
	exit;
}

## section protection get the sections field for the logged on user
## field is blank or has something like 1,2,4,P1,P3
$query = "SELECT sections FROM $table_users WHERE id = '$userid'";
$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING); 

if ($site == "protected")
{
	$_SESSION['site'] = $site;
	$table_sections = $dbprefix . "prot_sections";
	$table_pages = $dbprefix . "prot_pages";
	$startsection = $sas_config['protected_startsection'];
	$user_sections = substr(mysqli_result($result, 0), strpos(mysqli_result($result, 0), "P")); //strip of public sections
	$user_sections = str_replace("P", "", $user_sections); //replace P with blanks
	$user_sections = explode(",", $user_sections); //create an array
}
else
{
	$startsection = $sas_config['startsection'];
	$user_sections = explode(",", mysqli_result($result, 0)); //create an array
}
unset ($query);
unset ($result);

switch ($suboption) // start of switch
{

	case editpage :
	
		$query = "SELECT content, section, sort, name, id, invisible, category, locked_by, hidden 
		          FROM $table_pages WHERE id = '".$page."'"; // getting the page content, pagename
		$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING); 
		$content = mysqli_result($result, 0, 0);
		$section = mysqli_result($result, 0, 1);
		$sort = mysqli_result($result, 0, 2);
		$title = mysqli_result($result, 0, 3);
		$pageid = mysqli_result($result, 0, 4);
		$invisible = mysqli_result($result, 0, 5);
		$category = mysqli_result($result, 0, 6);
		$userid_in_use = mysqli_result($result, 0, 7);
		$hidden = mysqli_result($result, 0, 8);
		unset ($query);
		unset ($result);

		$ses_table = $dbprefix . "sessions";
		$str_len = strlen($userid_in_use);
		$ses_value = "%userid|s:$str_len:\"" . $userid_in_use . "\";%";
		$result1 = mysqli_query($db,"SELECT ses_id FROM $ses_table WHERE ses_value like '$ses_value'");

		//check to see if userid holding the page still has a session
		if (mysqli_num_rows($result1) == 0)
		{
			mysqli_query($db,"UPDATE $table_pages SET locked_by = '' WHERE id = '".$page."'");
			$userid_in_use = ''; //no session , reset locked_by field.
		}

		if (($userid_in_use == '') OR ($userid_in_use == $_SESSION['userid'])) //nobody is holding the page
		{
			//set the page in use by the userid in the locked_by field
			mysqli_query($db,"UPDATE $table_pages SET locked_by = '$_SESSION[userid]' WHERE id = '".$page."'");
			// include the editor
			include ("editors/".$_SESSION['editor_loc']);
		}
		else
		{
			$query = "SELECT name FROM $table_users WHERE id = '$userid_in_use'";
			$result = mysqli_query($db,$query);
			$user_name = mysqli_result($result, 0);
			$msg = $sas_lang['page_in_use2'] . $user_name;
			print "<script language=\"Javascript\">
				   <!--
				   alert (\"" . $msg . "\")
				   window.location = 'index.php?option=pagemanager&module=" . $module . "&section=" . $section . "&site=" . $site . "';
				   //-->
				   </script>";
		}

		break;

	case editmodpage :
	
		$query = "SELECT content, name, sort, module, invisible, category, hidden FROM $table_pages WHERE id = '".$page."'"; // getting the page content, pagename
		$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING);  // sort order, modulenam, invisible bit and category
		$content = mysqli_result($result, 0, 0);
		$title = mysqli_result($result, 0, 1);
		$sort = mysqli_result($result, 0, 2);
		$module = mysqli_result($result, 0, 3);
		$invisible = mysqli_result($result, 0, 4);
		$category = mysqli_result($result, 0, 5);
		$hidden = mysqli_result($result, 0, 6);
		unset ($query);
		unset ($result);

		print "<span class=\"sas_module_title\">" . $sas_lang['editmodpage'] . "</span><br>\n";
		print $sas_lang['editmodpage_introduction'] . "<br /><br />\n";

		$query = "SELECT name FROM $table_sections WHERE id = '".$section."'"; // getting the name
		$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING); 
		$sectionname = mysqli_result($result, 0);
		unset ($query);
		unset ($result);

		print "<FORM METHOD=\"POST\" name=\"theForm\" action=\"index.php?option=pagemanager&section=$section&savepage=$page&site=$site\" onsubmit=\"return checkinput(this);\">";
		//print "".$sas_lang['section'].": $sectionname";

		print "<strong>" . $sas_lang['section'] . "</strong><br><select size=\"1\" name=\"newsection\">\n";
		$query = "SELECT id, name FROM $table_sections";
		$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING); 
		while ($section_list = mysqli_fetch_array($result))
		{
			if ($section_list[0] == $section)
			{
				print "<option selected value=\"$section_list[0]\">$section_list[1]</option>\n";
			}
			else
			{
				print "<option value=\"$section_list[0]\">$section_list[1]</option>\n";
			}
		}
		print "</select><br />";

		print "<br /><strong>" . $sas_lang['title'] . 
				"</strong><br><input type=text size=60 name=\"title\" value=\"$title\" class=\"textfield\">&nbsp;<img src=\"graphics/help.gif\" title=\"" . $sas_lang['title_tip'] . "\" class=\"tooltip\"><br><br>";
		print "<strong>" .$sas_lang['order'] . "</strong><br><input type=\"text\" name=\"sort\" size=\"10\" value=\"$sort\" class=\"textfield\">&nbsp;<img src=\"graphics/help.gif\" title=\"" . $sas_lang['order_tip'] . "\" class=\"tooltip\"><br><br>";
		print "<strong>" .$sas_lang['category'] . "</strong><br><input type=text size=20 name=\"category\" value=\"$category\" class=\"textfield\">&nbsp;<img src=\"graphics/help.gif\" title=\"" . $sas_lang['category2_tip'] . "\" class=\"tooltip\"><br><br>";
		print "<strong>" . $sas_lang['module_optional'] . "</strong>";
		print "<table cellpadding=\"0\" cellspacing=\"0\"><tr><td>
				<input type=\"text\" size=\"60\" name=\"module\" value=\"$module\" class=\"textfield\"></td><td>";
		print "<button style=\"float: right; cursor:pointer; cursor:hand;\" onclick=\"MyWindow=window.open('core/pag_modbrowser.inc.php?sessioncode=" . $_SESSION['sessioncode'] . "','MyWindow','toolbar=no,location=no,directories=no,status=no,menubar=no,scrollbars=yes,resizable=yes,width=700,height=500,left=400,top=150'); return false;\" type=\"button\" class=\"button\"><em><span>".$sas_lang['browse']."</span></em></button>";
		
		print "</td><td align=\"center\"><img src=\"graphics/help.gif\" class=\"tooltip\" title=\"" . $sas_lang['module_tip'] . "\"></td></tr></table>
			<br />";
		
		if ($invisible == "yes")
		{
			print "<input type=\"checkbox\" name=\"invisible\" value=\"yes\" checked>" . $sas_lang['invisible'] . "&nbsp;<img src=\"graphics/help.gif\" title=\"" . $sas_lang['invisible_tip'] . "\" class=\"tooltip\"><br><br>";
		}
		else
		{
			print "<input type=\"checkbox\" name=\"invisible\" value=\"yes\">" . $sas_lang['invisible'] . "&nbsp;<img src=\"graphics/help.gif\" title=\"" . $sas_lang['invisible_tip'] . "\" class=\"tooltip\"><br><br>";
		}
		
		if ($hidden == "yes")
		{
			print "<input type=\"checkbox\" name=\"hidden\" value=\"yes\" checked>" . $sas_lang['hidden'] . "&nbsp;<img src=\"graphics/help.gif\" title=\"" . $sas_lang['hidden_tip'] . "\" class=\"tooltip\"><br>";
		}
		else
		{
			print "<input type=\"checkbox\" name=\"hidden\" value=\"yes\">" . $sas_lang['hidden'] . "&nbsp;<img src=\"graphics/help.gif\" title=\"" . $sas_lang['hidden_tip'] . "\" class=\"tooltip\"><br>";
		}
		print "<br><button onclick=\"javascript:parent.location='index.php?option=pagemanager&section=$section&site=$site'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>";
		print "&nbsp;<button type=\"submit\" class=\"button\"><em><span>".$sas_lang['save']."</span></em></button>";
		print "</form>";

		include ("interface/footer.inc.php");

		break;

	case newsection : // new section

		print "<span class=\"sas_module_title\">" . $sas_lang['newsection'] . "<br></span>";
		print "" . $sas_lang['newsection_introduction'] . "</span><br>";
		print "<FORM METHOD=\"POST\" NAME=\"form\" ACTION=\"index.php?option=pagemanager&savesection=0&site=$site\">
		";
		if (IsSet ($section))
		{
			$sectionname = sectionname($section);
			print $sas_lang['section'] . ": $sectionname<br>";
		}

		print "<br><strong>" . $sas_lang['title'] . "</strong><br><input type=text size=60 name=\"title\" class=\"textfield\">&nbsp;<img src=\"graphics/help.gif\"title=\"" . $sas_lang['title_tip'] . "\" class=\"tooltip\"><br><br>";
		print "<strong>" . $sas_lang['order'] . "</strong><br><input type=text size=10 name=\"sort\" value=\"$sort\" class=\"textfield\">&nbsp;<img src=\"graphics/help.gif\"title=\"" . $sas_lang['order_tip'] . "\" class=\"tooltip\"><br><br>";
		print "<input type=\"checkbox\" name=\"invisible\" value=\"yes\">" . $sas_lang['invisible'] . "&nbsp;<img src=\"graphics/help.gif\"title=\"" . $sas_lang['invisible_tip'] . "\" class=\"tooltip\"><br>";
		print "<br><button onclick=\"javascript:parent.location='index.php?option=pagemanager&section=$section&site=$site'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>";
		print "&nbsp;<button type=\"submit\" class=\"button\"><em><span>".$sas_lang['save']."</span></em></button>";
		print "</form>";

		include ("interface/footer.inc.php");

		break;

	case editsection : // edit section

		print "<span class=\"sas_module_title\">" . $sas_lang['editsection'] . "<br></span>";
		print "" . $sas_lang['editsection_introduction'] . "</span><br /><br />";
		print "<FORM METHOD=\"POST\" NAME=\"form\" ACTION=\"index.php?option=pagemanager&savesection=$section&site=$site\">";
		
		if (IsSet ($section))
		{
			$query = "SELECT sort, name, invisible FROM $table_sections WHERE id = '".$section."'"; // getting the sort order
			$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING); 
			$sort = mysqli_result($result, 0, 'sort');
			$sectionname = mysqli_result($result, 0, 'name');
			$invisible = mysqli_result($result, 0, 'invisible');
			unset ($query);
			unset ($result);

			print $sas_lang['section'] . ": <strong>$sectionname</strong><br>";
		}
		print "<br><strong>" . $sas_lang['title'] . "</strong><br><input type=\"text\" size=\"60\" name=\"title\" value=\"$sectionname\" class=\"textfield\">&nbsp;<img src=\"graphics/help.gif\"title=\"" . $sas_lang['title_tip'] . "\" class=\"tooltip\"><br><br>";
		print "<strong>" . $sas_lang['order'] . "</strong><br><input type=\"text\" size=\"10\" name=\"sort\" value=\"$sort\" class=\"textfield\">&nbsp;<img src=\"graphics/help.gif\" ONMOUSEOVER=\"popup('".$sas_lang['order_tip']."','CCDAEC')\"; ONMOUSEOUT=\"kill()\"><br><br>";
		if ($invisible == "yes")
		{
			print "<input type=\"checkbox\" name=\"invisible\" value=\"yes\" checked>" . $sas_lang['invisible'] . "&nbsp;<img src=\"graphics/help.gif\"title=\"" . $sas_lang['invisible_tip'] . "\" class=\"tooltip\"><br>";
		}
		else
		{
			print "<input type=\"checkbox\" name=\"invisible\" value=\"yes\">" . $sas_lang['invisible'] . "&nbsp;<img src=\"graphics/help.gif\"title=\"" . $sas_lang['invisible_tip'] . "\" class=\"tooltip\"><br>";
		}
		print "<br><button onclick=\"javascript:parent.location='index.php?option=pagemanager&section=$section&site=$site'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>";
		print "&nbsp;<button type=\"submit\" class=\"button\"><em><span>".$sas_lang['save']."</span></em></button>";
		print "</form>";

		include ("interface/footer.inc.php");

		break;

	case newpage : // new page

		print "<span class=\"sas_module_title\">" . $sas_lang['newpage'] . "</span><br />";
		print $sas_lang['newpage_introduction'] . "</span><br /><br />";

		$query = "SELECT name FROM $table_sections WHERE id = '".$section."'"; // getting the sectionname
		$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING); 
		$sectionname = mysqli_result($result, 0);
		unset ($query);
		unset ($result);

		print "<FORM METHOD=\"POST\" name=\"theForm\" action=\"index.php?option=pagemanager&section=$section&savepage=new&site=$site\" onsubmit=\"return checkinput(this);\">
				" . $sas_lang['section'] . ": <strong>$sectionname</strong><br><br>" .
				"<strong>" . $sas_lang['title'] . " (*)</strong><br><input type=text size=60 name=\"title\" class=\"textfield\">&nbsp;<img src=\"graphics/help.gif\"title=\"" . $sas_lang['title_tip'] . "\" class=\"tooltip\"><br><br>";
		print "<strong>" . $sas_lang['order'] . "</strong><br><input type=\"text\" name=\"sort\" size=\"10\" value=\"\" class=\"textfield\">&nbsp;<img src=\"graphics/help.gif\"title=\"" . $sas_lang['order_tip'] . "\" class=\"tooltip\"><br><br>";
		print "<strong>" . $sas_lang['category'] . "</strong><br><input type=text size=20 name=\"category\" value=\"$category\" class=\"textfield\">&nbsp;<img src=\"graphics/help.gif\"title=\"" . $sas_lang['category2_tip'] . "\" class=\"tooltip\"><br><br>";
		print "<strong>" . $sas_lang['module_optional'] . "</strong><br>";
		print "<table cellpadding=\"0\" cellspacing=\"0\"><tr><td>
				<input type=\"text\" size=\"60\" name=\"module\" value=\"$module\" class=\"textfield\"></td><td>";
		print "<button style=\"float: right; cursor:pointer; cursor:hand;\" onclick=\"MyWindow=window.open('core/pag_modbrowser.inc.php?sessioncode=" . $_SESSION['sessioncode'] . "','MyWindow','toolbar=no,location=no,directories=no,status=no,menubar=no,scrollbars=yes,resizable=yes,width=700,height=500,left=400,top=150'); return false;\" type=\"button\" class=\"button\"><em><span>".$sas_lang['browse']."</span></em></button>";
		
		print "</td><td align=\"center\"><img src=\"graphics/help.gif\"title=\"" . $sas_lang['module_tip'] . "\" class=\"tooltip\"></td></tr></table><br />";
		print "<input type=\"checkbox\" name=\"invisible\" value=\"yes\">" . $sas_lang['invisible'] . "&nbsp;<img src=\"graphics/help.gif\"title=\"" . $sas_lang['invisible_tip'] . "\" class=\"tooltip\"><p>";
		print "<br /><input type=\"checkbox\" name=\"hidden\" value=\"yes\">" . $sas_lang['hidden'] . "&nbsp;<img src=\"graphics/help.gif\"title=\"" . $sas_lang['hidden_tip'] . "\" class=\"tooltip\"><p>";
		print $sas_lang['required_fields'] . "<br><br>";
		print "<br /><button onclick=\"javascript:parent.location='index.php?option=pagemanager&section=$section&site=$site'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>";
		print "&nbsp;<button type=\"submit\" class=\"button\"><em><span>".$sas_lang['save']."</span></em></button>";
		print "</form>";

		include ("interface/footer.inc.php");
		
	break;

	case save_sort:
		
		if (IsSet ($_POST['sort']))
		{
			$sort = $_POST['sort'];
		}
		if ($site == "protected")
		{
			$table_pages = $dbprefix . "prot_pages";
		}
		foreach($sort as $key => $value)
		{
			mysqli_query($db,"UPDATE $table_pages SET cat_sort = '$value' WHERE section = '$section' AND category = '$key'");
		}
		print "<script language='javascript'>
					window.location = 'index.php?option=pagemanager&section=$section&site=$site'
					</script>";
		
	break;
	
	case sort_cat:
		
		print "<span class=\"sas_module_title\">".$sas_lang['category']. " ". $sas_lang['order']."<br></span>";
		$query1 = "SELECT category, cat_sort FROM $table_pages WHERE category != '' AND section = '$section' GROUP BY category ORDER BY cat_sort"; // getting catlist
		$result1 = mysqli_query($db,$query1) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query1 . '".',E_USER_WARNING); 
		
		print "<FORM METHOD=\"POST\" NAME=\"form\" ACTION=\"index.php?option=pagemanager&section=$section&suboption=save_sort&section=$section&site=$site\">";
		print "<br/><table width=\"210\"><tr><td><b>".$sas_lang['category'] . ":</b></span></td>
		<td><b>".$sas_lang['order'].":</b></span></td></tr>";
		while ($cat_list = mysqli_fetch_array($result1)) //loop through categories
		{
			print "<tr><td><b>".$cat_list[0] . "<b></span></td>
			<td><input type=\"text\" name=\"sort[$cat_list[0]]\" size=\"5\" value=\"$cat_list[1]\" class=\"textfield\"></td></tr>";
		
		}
		print "</table><br><button onclick=\"javascript:parent.location='index.php?option=pagemanager&section=$section&site=$site'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>";
		print "&nbsp;<button type=\"submit\" class=\"button\"><em><span>".$sas_lang['save']."</span></em></button>";
		print "</form>";
		
		include ("interface/footer.inc.php");
		
	break;
	
	default : // page manager
		include ("core/pag_start.inc.php");
		break;
}
?>