<?php

/*
*	Syndeo CMS (former Site@School)
* 	is a website management system designed for primary schools.
* =============================================================================== *
* Syndeo CMS Software Version: 3.1.00  
* Copyright (C) 2007- 2012: Fred Stuurman (fc.stuurman@gmail.com)
* Filemanager for FCK editor:
*  this file is part of the FCK filemanager created for Syndeo cms 
* browser.php: last changed 26/03/2012 by Fred Stuurman (fc.stuurman@gmail.com)
* $Id$
* =============================================================================== *
*/

define('IN_SAS', true);

if (IsSet ($_GET['option']))
{
	$option = $_GET['option'];
}
else
{
	$option = "";
}
if (IsSet ($_GET['CKEditor']))
{
	$CKEditor = $_GET['CKEditor'];
}
if (IsSet ($_GET['CKEditorFuncNum']))
{
	$CKEditorFuncNum = $_GET['CKEditorFuncNum'];
}
if (IsSet ($_GET['langCode']))
{
	$langCode = $_GET['langCode'];
}

$docroot = strtolower ( getenv ( 'DOCUMENT_ROOT' ) ) ;
$path = htmlentities(dirname($_SERVER['PHP_SELF']));
$user_path = str_replace('ckeditor/filemanager', '' , $path);

include ('../../../configuration/database.inc.php'); // connecting to database // connecting to database
$db = new mysqli($db_server, $db_username, $db_password, $db_name);

include ("../../../core/common.inc.php");
include ("../../../core/session.php");
include ("../../../core/file_functions.php");

if (IsSet ($_GET['type'])) //type can be image, flash or link
{
	$_SESSION['type'] = $_GET['type'];
}
else
{
	$_SESSION['type'] = "image";
}

$query = "SELECT config_value FROM $table_configuration WHERE config_key='sessioncode'";
if ($result = mysqli_query($db,$query))
{
	$check_sessioncode = mysqli_result($result, 0);
	unset ($query);
	unset ($result);
}
if ($_SESSION['sessioncode'] != $check_sessioncode)
{
	//if we don't have a session present the login screen
	Header("Location: ../../../../../../../index.php");
	exit;
}

$query = "SELECT config_value FROM $table_configuration WHERE config_key='serverpath'";
$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING);
$sas_basedir = mysqli_result($result, 0);
unset ($query);
unset ($result);

$query = "SELECT config_value FROM $table_configuration WHERE config_key='user_path'";
$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING);
$user_path = mysqli_result($result, 0);
if (substr($user_path, 0, 1) == "/")
{
	$user_path = substr($user_path, 1); //strip first slash
}
unset ($query);
unset ($result);

$query = "SELECT config_value FROM $table_configuration WHERE config_key='file_permissions'";
$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING);
$perm = mysqli_result($result, 0);
unset ($query);
unset ($result);

$query = "SELECT config_value FROM $table_configuration WHERE config_key='language'";
$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING);
$language = mysqli_result($result, 0);
include ("../../../languages/$language/$language.php");

if (($option == "new_directory") AND (trim($_POST['new_directory']) != "")) //check for empty field
{
	$str_from = "/ \'@!,/\\\t\*?`\"";
	$str_to = str_repeat("_", strlen($str_from));
	$new_directory = strtr($_POST['new_directory'], $str_from, $str_to); //replace special characters with underscore

	$new_directory = $sas_basedir . $user_path . "/" . $_SESSION['user_media_path'] . $_SESSION['opendir'] . "/" . $new_directory;

	mkdir($new_directory, 0755);
	chmod($new_directory, octdec($perm)); //chmod it with permissions stored in configuration table.
	$opendir = $_SESSION['opendir']; //for returning to the directory were we came from
}

if ($option == "upload")
{
	if (IsSet ($_FILES["new_file"]["name"]))
	{
		$file_name = sanitize($_FILES["new_file"]["name"], 100, 'S');
	}
	if (IsSet ($_SESSION['opendir']))
	{
		$write_path = $_SESSION['user_media_path'] . "/" . $_SESSION['opendir'];
		// moveupload the file to $write_path, function is in core/common.inc.php
		$temp_file = $_FILES["new_file"]["tmp_name"]; //this is temporary uploaded file.	
		sas_move_uploaded_file($write_path, $file_name, $temp_file);
	}
	$opendir = $_SESSION['opendir']; //for returning to the directory were we came from	
}
//if the session has stored the last directory we visited, open it again when we 
//enter the filemanager again.
if (IsSet ($_SESSION['opendir']))
{
	$opendir = $_SESSION['opendir'] ;
}

?>

<html>
	<head>
		<title><?php echo $sas_lang['filemanager'] ?></title>
		<link href="fck_dialog.css" type="text/css" rel="stylesheet">

<style type="text/css">

<!--
.title { 
color: #000; font-weight: bold; font-size: 120%; padding: 2px 10px; 
letter-spacing: 2px;
}

/* Tabs classes */
.tabs {width:100%; height:18px; line-height:normal; background:url(graphics/tabs.gif) repeat-x 0 -72px;}
.tabs ul {margin:0; padding:0; list-style:none;}
.tabs li {float:left; background:url(graphics/tabs.gif) no-repeat 0 0; margin:0 2px 0 0; padding:0 0 0 10px; line-height:17px; height:18px; display:block;}
.tabs li.current {background:url(graphics/tabs.gif) no-repeat 0 -18px; margin-right:2px;}
.tabs span {float:left; display:block; background:url(graphics/tabs.gif) no-repeat right -36px; padding:0px 10px 0 0;}
.tabs .current span {background:url(graphics/tabs.gif) no-repeat right -54px;}
.tabs a {text-decoration:none; font-family:Verdana, Arial; font-size:10px;}
.tabs a:link, .tabs a:visited, .tabs a:hover {color:black;}
-->
</style>
</head>
<body>
<table width="100%" cellspacing="0" cellpadding="0" style="border: 1px solid threedface;" bordercolor="#111111">
	<tr>
		<td>
<?php
if($option == "mupload")
{
	print "<iframe name=\"images\" style=\"width:100%;height:355\" src=\"upload.php?opendir=$opendir\" scrolling=\"auto\" frameborder=\"NO\" leftmargin=\"0\" topmargin=\"0\" rightmargin=\"0\">";
}
else
{
	if (IsSet ($_GET['num']))
	{
		$num = "&num=".intval($_GET['num']); 
	}
	print "<iframe name=\"images\" style=\"width:100%;height:355\" src=\"images.php?opendir=$opendir$num\" scrolling=\"auto\" frameborder=\"NO\" leftmargin=\"0\" topmargin=\"0\" rightmargin=\"0\">";
}
?>
		</iframe></td>
	</tr>
	<tr>
		<td>
			&nbsp;
		</td>
	</tr>	
	<tr>
		<td bgcolor="#e3e3c7">
		<form id="frmUpload" action="browser.php?option=upload&type=<?php echo $_SESSION['type'] ?>&CKEditor=<?php echo $CKEditor; ?>&CKEditorFuncNum=<?php echo $CKEditorFuncNum; ?>&langCode=<?php echo $langCode; ?>" method="post" enctype="multipart/form-data">
			<table height="100%" cellSpacing="2" cellPadding="0" width="100%">
				<tr>
					<td nowrap><?php echo $sas_lang['uploadfile'] ?><br>
						<table cellSpacing="0" cellPadding="0" width="100%" border="0">
							<tr>
								<td width="50%">
									<input type="file" id="new_file" name="new_file" size="80">
								</td>
								<td nowrap>&nbsp;<input type="submit" value="<?php echo $sas_lang['uploadfile'] ?>">
								</td>
								<td width="40%">&nbsp;</td>
							</tr>
							<tr>
							<td colspan="3">&nbsp;</td>
							</tr>
							<tr>
							<td colspan="3"><?php echo $sas_lang['createdir'] ?></td>
							</tr>
		</form>
		<form id="frmNewDirectory" action="browser.php?option=new_directory&CKEditor=<?php echo $CKEditor; ?>&CKEditorFuncNum=<?php echo $CKEditorFuncNum; ?>&langCode=<?php echo $langCode; ?>" method="post" enctype="multipart/form-data">
							<tr>
								<td width="50%">
									<input type="text" id="new_directory" name="new_directory" size="50">
									&nbsp;<input type="submit" value="<?php echo $sas_lang['createdir'] ?>"></form>
								</td>
								<td colspan="2">&nbsp;</td>
							</tr>
							<tr>
							<td colspan="3">&nbsp;</td>
							</tr>
			</table>	
	</td>
	</tr>
</table>
</body>
</html>