<?php

/*
*	SyndeoCMS (former Site@School)
* 	is a website management system designed for primary schools.
* =============================================================================== *
* SyndeoCMS Software Version: 2.8.00  
* Copyright (C) 2007, 2008: Fred Stuurman (fc.stuurman@gmail.com)
* 
* migrate2.7_2.8.php: last changed 20/03/2009 by Fred Stuurman (fc.stuurman@gmail.com)
* $Id$
* =============================================================================== *
*/

define('IN_SAS', true);

function remove_zz_thumb($target)
{
	$dh = opendir($target);

	while (false !== ($file_name = readdir($dh)))
	{
		if ($file_name != '.' && $file_name != '..' && is_dir($target . "/" . $file_name))
		{
			// recurse subdirectory; call of function recursive
			$count1 = remove_zz_thumb($target . "/" . $file_name);
			$count = $count + $count1;
		}
		elseif ((is_file($target . "/" . $file_name)) AND (substr($file_name,0,9) == "zz_thumb_"))
		{
			//print $target . "/" . $file_name . "<br />";
			unlink($target . "/" . $file_name);
		}
	}

	closedir($dh);
	return $count;

}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
<HEAD>
<meta http-equiv="Content-Language" content="EN">
<TITLE>Migration SyndeoCMS 2.6 -> 2.7</TITLE>
<META http-equiv=Content-Type content="text/html; charset=windows-1252">
<STYLE>
A:link {
	BACKGROUND: none transparent scroll repeat 0% 0%; COLOR: #638ab9; TEXT-DECORATION: none
}
A:active {
	BACKGROUND: none transparent scroll repeat 0% 0%; COLOR: #638ab9; TEXT-DECORATION: none
}
A:visited {
	BACKGROUND: none transparent scroll repeat 0% 0%; COLOR: #638ab9; TEXT-DECORATION: none
}
A:hover {
	BACKGROUND: none transparent scroll repeat 0% 0%; COLOR: #ff0000; TEXT-DECORATION: none
}
TEXTAREA {
	COLOR: #000000; FONT-FAMILY: verdana, arial; BACKGROUND-COLOR: #ccdaec
}

SELECT {
	BORDER-RIGHT: #ccdaec 1px inset; BORDER-TOP: #ccdaec 1px inset; BORDER-LEFT: #ccdaec 1px inset; COLOR: #000000; BORDER-BOTTOM: #ccdaec 1px inset; FONT-FAMILY: verdana, arial; BACKGROUND-COLOR: #ccdaec
}
.text {
	FONT-SIZE: 10pt; FONT-FAMILY: Verdana, Arial
}
.link {
	FONT-WEIGHT: bold; FONT-SIZE: 10pt; COLOR: #000000; FONT-FAMILY: Verdana, Arial
}
.sas_module_title {
	FONT-WEIGHT: bold; FONT-SIZE: 13pt; COLOR: #000000; FONT-FAMILY: Verdana, Arial
}


INPUT.textfield {
	BORDER-RIGHT: #ccdaec 1px inset; BORDER-TOP: #ccdaec 1px inset; BORDER-LEFT: #ccdaec 1px inset; BORDER-BOTTOM: #ccdaec 1px inset; BACKGROUND-COLOR: #ccdaec
}
</STYLE>

</HEAD>
<BODY style="FONT-SIZE: 10pt; FONT-FAMILY: Verdana, Arial, Helvetica" vLink=#000000 aLink=#466c9b link=#000000 bgColor=#ffffff leftMargin=0 topMargin=0 rightMargin=0>


<table height=45 bgcolor="#0D85BB" cellSpacing=0 cellPadding=0 width="100%" border=0>
  <TBODY>
  <TR>
    <TD align=left width="5%"></TD>
    <TD width="5%">&nbsp;</TD>
    <TD align=right width="90%">
    <b><font size="6" color="#FFFFFF">Migration SyndeoCMS 2.7 -> 2.8</font></b></TD>
    <TD align=right width="3%"></TD></TR></TBODY></TABLE> 
<table cellSpacing=0 cellPadding=0 width="100%" border=0>
  <TBODY>
  <TR>
    <TD vAlign=top>
      <table cellPadding=5 width="100%" border="0">
        <TBODY>
        <TR>
          <TD>
          <table cellSpacing=0 cellPadding=4 width="100%" border=0>
              <TBODY>
              <TR>
                <TD valign="center" align=center width="20%" rowspan="3"><img border="0" src="../graphics/logo_small.png">
                </TD>
<?php

$url = "http://" . $_SERVER['HTTP_HOST'] . "/";
if ($_GET["step"] == "" AND $step == "")
{
?>                        
                <TD vAlign=top align=left width="65%">
                <SPAN class="sas_module_title">Introduction<BR></SPAN><span class="text"><?php print $sas_lang['lang_install_3'] ?></span></TD>
                <TD vAlign=top align=middle width="10%" rowspan="3">&nbsp;</TD>
              </TR>
              <TR>
                <TD vAlign=top align=middle width="65%">
                <form method="POST" action="migrate2.7_2.8.php?step=1">
                <table border="1" height="300" cellpadding="5" cellspacing="0" style="border-collapse: collapse" bordercolor="#E5E5E5" width="100%" bgcolor="#F7F7F7">
                  <tr>
                    <td width="100%" valign="top"><span class="text">This procedure will upgrade your SyndeoCMS 2.7 to version 2.8<br /><br />
					Major changes are the new filemanager and the new poll module.
					</span></td>
					</span></td>
                  </tr>
                </table>
                </TD></TR>
              <TR>
                <TD vAlign=top align=right width="65%">
                <input type="submit" value="Continue" name="B1" class="BUTTON">
                  </p>
                </form>
<?php
}

if ($_GET["step"] == "1" OR $step == "1")
{
?>                          
                <TD vAlign="top" align="left" width="65%">
                <SPAN class="sas_module_title">Step 1<BR></SPAN><span class="text"><?php print $sas_lang['lang_install_6'] ?></span></TD>
                <TD vAlign="top" align="middle" width="10%" rowspan="3">&nbsp;</TD>
              </TR>
              <TR>
                <TD vAlign="top" align="middle" width="65%">
                <table border="1" height="300" cellpadding="5" cellspacing="0" style="border-collapse: collapse" bordercolor="#E5E5E5" width="100%" id="AutoNumber4" bgcolor="#F7F7F7">
                  <tr>
                    <td width="100%" valign="top"><span class="text">
<form method="POST" action="migrate2.7_2.8.php?step=2">
The following step will alter the tables and will add the new poll module.<p>
Click on continue.</td>
<br><br></td>
  </tr>
</table>
</TD>
</TR>
<TR>
<TD vAlign="top" align=right width="65%">
<p>
  <input type="submit" value="Continue" name="B1" class="BUTTON">
  <input type="reset" value="Go back" name="B2" class="BUTTON"></p>
</form>
</TD>
</TR>
</TBODY></TABLE>
</TD></TR></TBODY></TABLE></TD>
</TR></TBODY></TABLE>
<?php
}
if ($_GET["step"] == "2" OR $step == "2")
{
include ("../configuration/database.inc.php");
mysql_connect("$db_server", "$db_username", "$db_password");
mysql_select_db("$db_name");
include ("../core/common.inc.php");

unset ($sas_config); //clear the config array first
$query = "SELECT config_key,config_value FROM $table_configuration";
//read all the configuration items.

$result = mysqli_query($db,$query);
while ($config_list = mysqli_fetch_array($result))
{
	$sas_config[$config_list[0]] = $config_list[1]; //put them in the config array
}
?>                          
                <TD vAlign="top" align="left" width="65%">
                <SPAN class="sas_module_title">Step 2<BR></SPAN><span class="text"><?php print $sas_lang['lang_install_6'] ?></span></TD>
                <TD vAlign="top" align="middle" width="10%" rowspan="3">&nbsp;</TD>
              </TR>
              <TR>
                <TD vAlign="top" align="middle" width="65%">
                <table border="1" height="300" cellpadding="5" cellspacing="0" style="border-collapse: collapse" bordercolor="#E5E5E5" width="100%" id="AutoNumber4" bgcolor="#F7F7F7">
                  <tr>
                    <td width="100%" valign="top"><span class="text">
<?php
//guestbook
$table_gbook = $dbprefix . "m_gbook";
mysqli_query($db,"ALTER TABLE $table_gbook ADD IP varchar(15) NOT NULL default ''");
//news
$table_news_cat = $dbprefix . "m_news_cat";
mysqli_query($db,"ALTER TABLE $table_news_cat ADD show_archive tinyint(1) NOT NULL DEFAULT 1");

//poll
$result = mysqli_query($db,"SELECT id FROM $table_modules WHERE location = 'poll'");
$RecordCount = mysqli_num_rows($result);
if($RecordCount == 0) 
{
	mysqli_query($db,"INSERT INTO $table_modules (id, name, location, options, admin, css, css_prot) VALUES (NULL, 'Poll', 'poll', 'view_poll.php,View poll', '', '', '')");
	
	$table_comment = $dbprefix."m_poll_comment";
	
	mysqli_query($db,"CREATE TABLE IF NOT EXISTS $table_comment (
	  com_id int(9) NOT NULL AUTO_INCREMENT,
	  poll_id int(9) NOT NULL DEFAULT '0',
	  time int(11) NOT NULL DEFAULT '0',
	  host varchar(255) NOT NULL,
	  browser varchar(255) NOT NULL,
	  name varchar(60) NOT NULL,
	  email varchar(100) NOT NULL,
	  message text NOT NULL,
	  PRIMARY KEY (com_id)
	)");
	
	$table_config = $dbprefix."m_poll_config";
	mysqli_query($db,"CREATE TABLE IF NOT EXISTS $table_config (
	  config_id smallint(5) unsigned NOT NULL AUTO_INCREMENT,
	  title varchar(60) NOT NULL,
	  vote_button varchar(30) NOT NULL,
	  result_text varchar(40) NOT NULL,
	  total_text varchar(40) NOT NULL,
	  voted varchar(40) NOT NULL,
	  send_com varchar(40) NOT NULL,
	  img_height int(5) NOT NULL DEFAULT '0',
	  img_length int(5) NOT NULL DEFAULT '0',
	  table_width varchar(6) NOT NULL,
	  bgcolor_tab varchar(7) NOT NULL,
	  bgcolor_fr varchar(7) NOT NULL,
	  font_face varchar(70) NOT NULL,
	  font_color varchar(7) NOT NULL,
	  type varchar(10) NOT NULL DEFAULT '0',
	  check_ip smallint(2) NOT NULL DEFAULT '0',
	  lock_timeout int(9) NOT NULL DEFAULT '0',
	  time_offset varchar(5) NOT NULL DEFAULT '0',
	  entry_pp int(4) unsigned NOT NULL DEFAULT '0',
	  poll_version varchar(5) NOT NULL DEFAULT '0',
	  result_order varchar(20) NOT NULL DEFAULT '',
	  def_options smallint(3) unsigned NOT NULL DEFAULT '0',
	  polls_pp int(5) unsigned NOT NULL DEFAULT '0',
	  captcha varchar(5) NOT NULL,
	  base_url varchar(100) NOT NULL DEFAULT '',
	  base_gif varchar(60) NOT NULL,
	  PRIMARY KEY (config_id)
	)") ;
	
	
	mysqli_query($db,"INSERT INTO $table_config (config_id, title, vote_button, result_text, total_text, voted, send_com, img_height, img_length, table_width, bgcolor_tab, bgcolor_fr, font_face, font_color, type, check_ip, lock_timeout, time_offset, entry_pp, poll_version, result_order, def_options, polls_pp, captcha, base_url, base_gif) VALUES
	(1, 'Advanced Poll', 'Vote', 'View results', 'Total votes', 'You have already voted!', 'Send comment', 10, 42, '170', '#FFFFFF', '#666699', 'Verdana, Arial, Helvetica, sans-serif', '#000000', 'percent', 2, 2, '0', 5, '2.08', 'desc', 10, 12, 'on', '/poll/db', '/poll/db/image')");
	
	$table_data = $dbprefix."m_poll_data";
	mysqli_query($db,"CREATE TABLE IF NOT EXISTS $table_data (
	  id int(11) NOT NULL AUTO_INCREMENT,
	  poll_id int(11) NOT NULL DEFAULT '0',
	  option_id int(11) NOT NULL DEFAULT '0',
	  option_text varchar(100) NOT NULL,
	  color varchar(20) NOT NULL,
	  votes int(14) NOT NULL DEFAULT '0',
	  PRIMARY KEY (poll_id,option_id),
	  KEY id (id)
	)");
	
	$table_index = $dbprefix."m_poll_index";
	mysqli_query($db,"CREATE TABLE IF NOT EXISTS $table_index (
	  poll_id int(11) unsigned NOT NULL AUTO_INCREMENT,
	  name varchar(50) DEFAULT NULL,
	  question varchar(100) NOT NULL,
	  timestamp int(11) NOT NULL DEFAULT '0',
	  status smallint(2) NOT NULL DEFAULT '0',
	  logging smallint(2) NOT NULL DEFAULT '0',
	  exp_time int(11) NOT NULL DEFAULT '0',
	  expire smallint(2) NOT NULL DEFAULT '0',
	  comments smallint(2) NOT NULL DEFAULT '0',
	  template varchar(15) NOT NULL DEFAULT '',
	  PRIMARY KEY (poll_id)
	)") ;
	
	$table_ip = $dbprefix."m_poll_ip";
	mysqli_query($db,"CREATE TABLE IF NOT EXISTS $table_ip (
	  ip_id int(11) NOT NULL AUTO_INCREMENT,
	  poll_id int(11) NOT NULL DEFAULT '0',
	  ip_addr varchar(15) NOT NULL,
	  timestamp int(11) NOT NULL DEFAULT '0',
	  PRIMARY KEY (ip_id)
	)") ;
	
	$table_log = $dbprefix."m_poll_log";
	mysqli_query($db,"CREATE TABLE IF NOT EXISTS $table_log (
	  log_id int(11) unsigned NOT NULL AUTO_INCREMENT,
	  poll_id int(11) NOT NULL DEFAULT '0',
	  option_id int(11) NOT NULL DEFAULT '0',
	  timestamp int(11) NOT NULL DEFAULT '0',
	  ip_addr varchar(15) NOT NULL,
	  host varchar(255) NOT NULL,
	  agent varchar(255) NOT NULL DEFAULT '0',
	  PRIMARY KEY (log_id)
	)") ;
	
	$table_templates = $dbprefix."m_poll_templates";
	mysqli_query($db,"CREATE TABLE IF NOT EXISTS $table_templates (
	  tpl_id int(10) unsigned NOT NULL AUTO_INCREMENT,
	  tplset_id int(10) unsigned NOT NULL DEFAULT '0',
	  title varchar(100) NOT NULL DEFAULT '',
	  template mediumtext NOT NULL,
	  PRIMARY KEY (tpl_id)
	)") ;
	
	mysqli_query($db,"INSERT INTO $table_templates (tpl_id, tplset_id, title, template) VALUES
	(1, 1, 'display_head', '<table width=\"\$pollvars[table_width]\" border=\"0\" cellspacing=\"0\" cellpadding=\"1\" bgcolor=\"\$pollvars[bgcolor_fr]\">\r\n  <tr align=\"center\">\r\n    <td>\r\n      <style type=\"text/css\">\r\n <!--\r\n  .input { font-family: \$pollvars[font_face]; font-size: 8pt}\r\n -->\r\n</style>\r\n      <font face=\"\$pollvars[font_face]\" size=\"-1\" color=\"#FFFFFF\"><b>\$pollvars[title]</b></font></td>\r\n  </tr>\r\n  <tr align=\"center\"> \r\n    <td> \r\n      <table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"2\" align=\"center\" bgcolor=\"\$pollvars[bgcolor_tab]\">\r\n        <tr> \r\n          <td height=\"40\" valign=\"middle\"><font face=\"\$pollvars[font_face]\" color=\"\$pollvars[font_color]\" size=\"1\"><b>\$question</b></font></td>\r\n        </tr>\r\n        <tr align=\"right\" valign=\"top\"> \r\n          <td>\r\n            <form method=\"post\" action=\"index.php?page=\$this->page&amp;section=\$this->section\">\r\n              <table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\" align=\"center\">\r\n                <tr valign=\"top\" align=\"center\"> \r\n                  <td> \r\n                    <table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"1\" align=\"center\">\r\n'),
	(2, 1, 'display_loop', ' <tr> \r\n   <td width=\"15%\"><input type=\"radio\" name=\"option_id\" value=\"\$data[option_id]\"></td>\r\n   <td width=\"85%\"><font face=\"\$pollvars[font_face]\" size=\"1\" color=\"\$pollvars[font_color]\">\$data[option_text]</font></td>\r\n </tr>\r\n'),
	(3, 1, 'display_foot', '                    </table>\r\n                    <input type=\"hidden\" name=\"action\" value=\"vote\">\r\n                    <input type=\"hidden\" name=\"poll_ident\" value=\"\$poll_id\">\r\n                    <input type=\"submit\" value=\"\$pollvars[vote_button]\" class=\"input\">\r\n                    <br>\r\n                    <br>\r\n                    <font face=\"\$pollvars[font_face]\" color=\"\$pollvars[font_color]\" size=\"1\"><a href=\"index.php?page=\$this->page&amp;section=\$this->section&amp;action=results&amp;poll_ident=\$poll_id\">\$pollvars[result_text]</a></font>\r\n                  </td>\r\n                </tr>\r\n              </table>\r\n            </form>\r\n            <font face=\"\$pollvars[font_face]\" size=\"1\"><a href=\"http://www.proxy2.de\" target=\"_blank\" title=\"Advanced Poll\">Version \$pollvars[poll_version]</a></font>\r\n          </td>\r\n        </tr>\r\n      </table>\r\n    </td>\r\n  </tr>\r\n</table>\r\n'),
	(4, 1, 'result_head', '<table width=\"\$pollvars[table_width]\" border=\"0\" cellspacing=\"0\" cellpadding=\"1\" bgcolor=\"\$pollvars[bgcolor_fr]\">\r\n<tr align=\"center\">\r\n<td>\r\n<style type=\"text/css\">\r\n<!--\r\n .input { font-family: \$pollvars[font_face]; font-size: 8pt}\r\n .links { font-family: \$pollvars[font_face]; font-size: 7.5pt; color: \$pollvars[font_color]}\r\n-->\r\n</style>\r\n<font face=\"\$pollvars[font_face]\" size=\"-1\" color=\"#FFFFFF\"><b>\$pollvars[title]</b></font></td>\r\n</tr>\r\n<tr align=\"center\">\r\n <td><table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"2\" align=\"center\" bgcolor=\"\$pollvars[bgcolor_tab]\">\r\n <tr valign=\"middle\">\r\n   <td height=\"40\"><font face=\"\$pollvars[font_face]\" color=\"\$pollvars[font_color]\" size=\"1\"><b>\$question</b></font></td>\r\n </tr>\r\n <tr align=\"right\" valign=\"bottom\">\r\n   <td>\r\n     <table border=\"0\" cellspacing=\"0\" cellpadding=\"1\" width=\"100%\" align=\"center\">\r\n       <tr valign=\"top\">\r\n        <td>\r\n         <table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"1\" align=\"center\">\r\n'),
	(5, 1, 'result_loop', '<tr>\r\n    <td height=\"22\"><font face=\"\$pollvars[font_face]\" color=\"\$pollvars[font_color]\" size=\"1\">\$option_text</font></td>\r\n    <td nowrap height=\"22\"><font face=\"\$pollvars[font_face]\" color=\"\$pollvars[font_color]\" size=\"1\"><img src=\"starnet/modules/poll/image/\$poll_color.gif\" width=\"\$img_width\" height=\"\$pollvars[img_height]\"> \$vote_val</font></td>\r\n</tr>\r\n'),
	(6, 1, 'result_foot', '       </table>\r\n       <font face=\"\$pollvars[font_face]\" color=\"\$pollvars[font_color]\" size=\"1\"><br>\r\n       \$pollvars[total_text]: <font color=\"#CC0000\">\$total_votes</font><br>\r\n       \$VOTE<br><br><div align=\"center\">\r\n       \$COMMENT&nbsp;</div></font>\r\n       </td></tr>\r\n      <tr><td height=\"2\">&nbsp;</td></tr>\r\n     </table>\r\n    <font face=\"\$pollvars[font_face]\" size=\"1\"><a href=\"http://www.proxy2.de\" target=\"_blank\" title=\"Advanced Poll\">Version \$pollvars[poll_version]</a></font></td>\r\n   </tr>\r\n </table>\r\n</td>\r\n</tr>\r\n</table>\r\n'),
	(7, 1, 'comment', '<table border=\"0\" cellspacing=\"0\" cellpadding=\"1\" align=\"center\" bgcolor=\"#666699\">\r\n  <tr align=\"center\">\r\n    <td>\r\n     <style type=\"text/css\">\r\n      <!--\r\n       .button {  font-family: Verdana, Arial, Helvetica, sans-serif; font-size: 8pt}\r\n       .textarea {  font-family: \"MS Sans Serif\"; font-size: 9pt; width: 195px}\r\n       .input {  width: 195px}\r\n      -->\r\n    </style><font color=\"#FFFFFF\" face=\"Verdana, Arial, Helvetica, sans-serif\" size=\"2\"><b>Send Your Comment</b></font></td>\r\n  </tr>\r\n  <tr>\r\n    <td>\r\n      <table border=\"0\" cellspacing=\"0\" cellpadding=\"5\" align=\"center\" bgcolor=\"#FFFFFF\" width=\"200\">\r\n        <tr>\r\n          <td width=\"149\">\r\n            <form method=\"post\" action=\"comments.php\">\r\n              <table border=\"0\" cellspacing=\"0\" cellpadding=\"2\" bgcolor=\"\" align=\"center\">\r\n                <tr>\r\n                  <td class=\"td1\" height=\"40\"><b><font face=\"Verdana, Arial, Helvetica, sans-serif\" size=\"1\">\$question</font></b></td>\r\n                </tr>\r\n                <tr>\r\n                  <td class=\"td1\"><font face=\"Verdana, Arial, Helvetica, sans-serif\" size=\"1\">Name:</font><br>\r\n                    <input type=\"text\" name=\"name\" maxlength=\"25\" class=\"input\" size=\"23\">\r\n                  </td>\r\n                </tr>\r\n                <tr>\r\n                  <td class=\"td1\"><font face=\"Verdana, Arial, Helvetica, sans-serif\" size=\"1\">e-mail:</font><br>\r\n                    <input type=\"text\" name=\"email\" size=\"23\" maxlength=\"50\" class=\"input\">\r\n                  </td>\r\n                </tr>\r\n                <tr>\r\n                  <td class=\"td1\"><font face=\"Verdana, Arial, Helvetica, sans-serif\" size=\"1\">Comment(*):</font><br>\r\n                    <font face=\"MS Sans Serif\" size=\"1\">\r\n                    <textarea name=\"message\" cols=\"19\" wrap=\"VIRTUAL\" rows=\"3\" class=\"textarea\"></textarea>\r\n                    </font>\r\n                    \$POLL_CAPTCHA\r\n                  </td>\r\n                </tr>\r\n                <tr valign=\"top\">\r\n                  <td>\r\n                    <input type=\"submit\" value=\"Submit\" class=\"button\">\r\n                    <input type=\"reset\" value=\"Reset\" class=\"button\">\r\n                    <input type=\"hidden\" name=\"action\" value=\"add\">\r\n                    <input type=\"hidden\" name=\"id\" value=\"\$poll_id\">\r\n		    <input type=\"hidden\" name=\"time\" value=\"\$poll_time\">\r\n                  </td>\r\n                </tr>\r\n              </table>\r\n            </form>\r\n          </td>\r\n        </tr>\r\n      </table>\r\n    </td>\r\n  </tr>\r\n</table>\r\n'),
	(8, 2, 'display_head', '<table width=\"\$pollvars[table_width]\" cellspacing=\"0\" cellpadding=\"0\" border=\"0\" bgcolor=\"#F3F3F3\">\r\n  <tr valign=\"top\"> \r\n    <td valign=\"top\" align=\"right\">\r\n      <form method=\"post\" action=\"\$this->form_forward\">\r\n        <table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"3\">\r\n          <tr bgcolor=\"\$pollvars[bgcolor_fr]\"> \r\n            <td colspan=\"2\" height=\"30\"><font face=\"\$pollvars[font_face]\" color=\"#FFFFFF\" size=\"1\"><b>\r\n              \$question</b></font></td>\r\n          </tr>\r\n'),
	(9, 2, 'display_loop', '<tr> \r\n    <td width=\"14%\"><input type=\"radio\" name=\"option_id\" value=\"\$data[option_id]\"></td>\r\n    <td width=\"86%\"><font face=\"\$pollvars[font_face]\" size=\"1\" color=\"\$pollvars[font_color]\">\$data[option_text]</font></td>\r\n</tr>\r\n'),
	(10, 2, 'display_foot', '          <tr align=\"center\"> \r\n            <td colspan=\"2\"> \r\n              <input type=\"image\" border=\"0\" src=\"starnet/modules/poll/image/vote.gif\" width=\"110\" height=\"48\">\r\n              <input type=\"hidden\" name=\"action\" value=\"vote\">\r\n              <input type=\"hidden\" name=\"poll_ident\" value=\"\$poll_id\">\r\n              <br>\r\n              <font face=\"\$pollvars[font_face]\" color=\"\$pollvars[font_color]\" size=\"1\"><a href=\"\$this->form_forward?action=results&amp;poll_ident=\$poll_id\">\$pollvars[result_text]</a>\r\n            </td>\r\n          </tr>\r\n        </table>\r\n      </form>\r\n      <font face=\"\$pollvars[font_face]\" size=\"1\"><a href=\"http://www.proxy2.de\" target=\"_blank\" title=\"Advanced Poll\">Version \$pollvars[poll_version]</a></font>\r\n     </td>\r\n  </tr>\r\n</table>\r\n'),
	(11, 2, 'result_head', '<table width=\"170\" border=\"0\" cellspacing=\"0\" cellpadding=\"3\" bgcolor=\"#F3F3F3\">\r\n  <tr> \r\n    <td colspan=\"2\" height=\"25\" bgcolor=\"\$pollvars[bgcolor_fr]\"><font face=\"\$pollvars[font_face]\" color=\"#FFFFFF\" size=\"1\"><b>\$question</b></font></td>\r\n  </tr>\r\n\r\n'),
	(12, 2, 'result_loop', '  <tr> \r\n    <td colspan=\"2\"><font face=\"\$pollvars[font_face]\" color=\"\$pollvars[font_color]\" size=\"1\">\$option_text</font></td>\r\n  </tr>\r\n  <tr> \r\n    <td width=\"52%\"><img src=\"starnet/modules/poll/image/greenbar.gif\" width=\"\$img_width\" height=\"7\"></td>\r\n    <td width=\"48%\"><font face=\"\$pollvars[font_face]\" color=\"\$pollvars[font_color]\" size=\"1\">\$vote_val</font></td>\r\n  </tr>\r\n'),
	(13, 2, 'result_foot', '  <tr> \r\n    <td colspan=\"2\" height=\"40\"><font face=\"\$pollvars[font_face]\" color=\"\$pollvars[font_color]\" size=\"1\"> \r\n      \$pollvars[total_text]: <font color=\"#CC0000\">\$total_votes</font>\r\n      <br>\$VOTE</font><br><div align=\"center\"><font face=\"\$pollvars[font_face]\" color=\"\$pollvars[font_color]\" size=\"1\">\$COMMENT</font></div>\r\n    </td>\r\n  </tr>\r\n  <tr align=\"right\" valign=\"bottom\" height=\"30\"> \r\n    <td colspan=\"2\"><font face=\"\$pollvars[font_face]\" size=\"1\"><a href=\"http://www.proxy2.de\" target=\"_blank\" title=\"Advanced Poll\">Version \$pollvars[poll_version]</a></font></td>\r\n  </tr>\r\n</table>\r\n'),
	(14, 2, 'comment', '<table border=\"0\" cellspacing=\"0\" cellpadding=\"1\" align=\"center\" bgcolor=\"#666699\">\r\n  <tr align=\"center\">\r\n    <td>\r\n     <style type=\"text/css\">\r\n      <!--\r\n       .button {  font-family: Verdana, Arial, Helvetica, sans-serif; font-size: 8pt}\r\n       .textarea {  font-family: \"MS Sans Serif\"; font-size: 9pt; width: 195px}\r\n       .input {  width: 195px}\r\n      -->\r\n    </style><font color=\"#FFFFFF\" face=\"Verdana, Arial, Helvetica, sans-serif\" size=\"2\"><b>Send Your Comment</b></font></td>\r\n  </tr>\r\n  <tr>\r\n    <td>\r\n      <table border=\"0\" cellspacing=\"0\" cellpadding=\"5\" align=\"center\" bgcolor=\"#F3F3F3\" width=\"200\">\r\n        <tr>\r\n          <td width=\"149\">\r\n            <form method=\"post\" action=\"\$this->form_forward\">\r\n              <table border=\"0\" cellspacing=\"0\" cellpadding=\"2\" bgcolor=\"\" align=\"center\">\r\n                <tr>\r\n                  <td class=\"td1\" height=\"40\"><b><font face=\"Verdana, Arial, Helvetica, sans-serif\" size=\"1\">\$question</font></b></td>\r\n                </tr>\r\n                <tr>\r\n                  <td class=\"td1\"><font face=\"Verdana, Arial, Helvetica, sans-serif\" size=\"1\">Name:</font><br>\r\n                    <input type=\"text\" name=\"name\" maxlength=\"25\" class=\"input\" size=\"23\">\r\n                  </td>\r\n                </tr>\r\n                <tr>\r\n                  <td class=\"td1\"><font face=\"Verdana, Arial, Helvetica, sans-serif\" size=\"1\">e-mail:</font><br>\r\n                    <input type=\"text\" name=\"email\" size=\"23\" maxlength=\"50\" class=\"input\">\r\n                  </td>\r\n                </tr>\r\n                <tr>\r\n                  <td class=\"td1\"><font face=\"Verdana, Arial, Helvetica, sans-serif\" size=\"1\">Comment(*):</font><br>\r\n                    <font face=\"MS Sans Serif\" size=\"1\">\r\n                    <textarea name=\"message\" cols=\"19\" wrap=\"VIRTUAL\" rows=\"3\" class=\"textarea\"></textarea>\r\n                    </font>\r\n                    \$POLL_CAPTCHA\r\n                  </td>\r\n                </tr>\r\n                <tr valign=\"top\">\r\n                  <td>\r\n                    <input type=\"submit\" value=\"Submit\" class=\"button\">\r\n                    <input type=\"reset\" value=\"Reset\" class=\"button\">\r\n                    <input type=\"hidden\" name=\"action\" value=\"add\">\r\n                    <input type=\"hidden\" name=\"id\" value=\"\$poll_id\">\r\n                    <input type=\"hidden\" name=\"time\" value=\"\$poll_time\">\r\n                  </td>\r\n                </tr>\r\n              </table>\r\n            </form>\r\n          </td>\r\n        </tr>\r\n      </table>\r\n    </td>\r\n  </tr>\r\n</table>\r\n'),
	(15, 3, 'display_head', '<table width=\"\$pollvars[table_width]\" border=\"0\" cellspacing=\"0\" cellpadding=\"1\" bgcolor=\"\$pollvars[bgcolor_fr]\">\r\n  <tr align=\"center\">\r\n    <td>\r\n      <style type=\"text/css\">\r\n <!--\r\n  .input { font-family: \$pollvars[font_face]; font-size: 8pt}\r\n -->\r\n</style>\r\n      <font face=\"\$pollvars[font_face]\" size=\"-1\" color=\"#FFFFFF\"><b>\$pollvars[title]</b></font></td>\r\n  </tr>\r\n  <tr align=\"center\"> \r\n    <td> \r\n      <table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"2\" align=\"center\" bgcolor=\"\$pollvars[bgcolor_tab]\">\r\n        <tr> \r\n          <td height=\"40\" valign=\"middle\"><font face=\"\$pollvars[font_face]\" color=\"\$pollvars[font_color]\" size=\"1\"><b>\$question</b></font></td>\r\n        </tr>\r\n        <tr align=\"right\" valign=\"top\"> \r\n          <td>\r\n            <form method=\"post\" name=\"poll_\$poll_id\" onsubmit=\"return poll_results_\$poll_id(''vote'',''starnet/modules/poll/popup.php'',''Poll'',''500'',''350'',''toolbar=no,scrollbars=yes'');\">\r\n              <script language=\"JavaScript\">\r\n<!--\r\nfunction poll_results_\$poll_id(action,theURL,winName,winWidth,winHeight,features) {      \r\n    var w = (screen.width - winWidth)/2;\r\n    var h = (screen.height - winHeight)/2 - 20;\r\n    features = features+'',width=''+winWidth+'',height=''+winHeight+'',top=''+h+'',left=''+w;\r\n    var poll_ident = self.document.poll_\$poll_id.poll_ident.value;\r\n    option_id = '''';\r\n    for (i=0; i<self.document.poll_\$poll_id.option_id.length; i++) {\r\n        if(self.document.poll_\$poll_id.option_id[i].checked == true) {\r\n            option_id = self.document.poll_\$poll_id.option_id[i].value;\r\n            break;\r\n        }\r\n    }\r\n    option_id = (option_id != '''') ? ''&option_id=''+option_id : '''';\r\n    if (action==''results'' || (option_id != '''' && action==''vote'')) {\r\n        theURL = theURL+''?action=''+action+''&poll_ident=''+poll_ident+option_id;\r\n        poll_popup = window.open(theURL,winName,features);\r\n        poll_popup.focus();\r\n    }\r\n    return false;\r\n}\r\n//-->\r\n        </script>\r\n              <table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\" align=\"center\">\r\n                <tr valign=\"top\" align=\"center\"> \r\n                  <td> \r\n                    <table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"1\" align=\"center\">\r\n'),
	(16, 3, 'display_loop', ' <tr> \r\n   <td width=\"15%\"><input type=\"radio\" name=\"option_id\" value=\"\$data[option_id]\"></td>\r\n   <td width=\"85%\"><font face=\"\$pollvars[font_face]\" size=\"1\" color=\"\$pollvars[font_color]\">\$data[option_text]</font></td>\r\n </tr>\r\n'),
	(17, 3, 'display_foot', '                    </table>\r\n                    <input type=\"hidden\" name=\"action\" value=\"vote\">\r\n                    <input type=\"hidden\" name=\"poll_ident\" value=\"\$poll_id\">\r\n                    <input type=\"submit\" value=\"\$pollvars[vote_button]\" class=\"input\">\r\n                    <br>\r\n                    <br>\r\n                    <font face=\"\$pollvars[font_face]\" color=\"\$pollvars[font_color]\" size=\"1\"><a href=\"javascript:void(poll_results_\$poll_id(''results'',''starnet/modules/poll/popup.php'',''Poll'',''500'',''350'',''toolbar=no,scrollbars=yes''))\">\$pollvars[result_text]</a><br>\r\n                    </font></td>\r\n                </tr>\r\n              </table>\r\n            </form>\r\n            <font face=\"\$pollvars[font_face]\" size=\"1\"><a href=\"http://www.proxy2.de\" target=\"_blank\" title=\"Advanced Poll\">Version \$pollvars[poll_version]</a></font>\r\n          </td>\r\n        </tr>\r\n      </table>\r\n    </td>\r\n  </tr>\r\n</table>\r\n'),
	(18, 3, 'result_head', '<table width=\"450\" border=\"0\" cellspacing=\"0\" cellpadding=\"2\" bgcolor=\"#CCCCCC\">\r\n  <tr>\r\n    <td align=\"center\"> \r\n      <table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"3\" bgcolor=\"#F6F6F6\">\r\n        <tr align=\"center\"> \r\n          <td colspan=\"3\" height=\"40\"><font face=\"\$pollvars[font_face]\" size=\"1\" color=\"#000000\"><b>\$question</b></font></td>\r\n        </tr>\r\n'),
	(19, 3, 'result_loop', '        <tr>\r\n          <td width=\"3%\">&nbsp;</td>\r\n          <td><font face=\"\$pollvars[font_face]\" color=\"\$pollvars[font_color]\" size=\"1\">\$option_text</font></td>\r\n          <td><font face=\"\$pollvars[font_face]\" color=\"\$pollvars[font_color]\" size=\"1\"><img src=\"starnet/modules/poll/image/\$poll_color.gif\" width=\"\$img_width\" height=\"\$pollvars[img_height]\"> \$vote_percent % (\$vote_count)</font></td>\r\n        </tr>\r\n'),
	(20, 3, 'result_foot', '        <tr> \r\n          <td colspan=\"3\" valign=\"bottom\" align=\"center\"><b><font face=\"\$pollvars[font_face]\" color=\"\$pollvars[font_color]\" size=\"1\">\$pollvars[total_text]: \r\n            \$total_votes</font></b></td>\r\n        </tr>\r\n        <tr align=\"center\"> \r\n          <td colspan=\"3\" valign=\"top\"><font face=\"\$pollvars[font_face]\" color=\"\$pollvars[font_color]\" size=\"1\">\$VOTE \r\n            <br>\r\n            \$COMMENT</font></td>\r\n        </tr>\r\n        <tr align=\"right\"> \r\n          <td colspan=\"3\"><font face=\"\$pollvars[font_face]\" size=\"1\"><a href=\"http://www.proxy2.de\" target=\"_blank\" title=\"Advanced Poll\">Version \$pollvars[poll_version]</a></font></td>\r\n        </tr>\r\n      </table>\r\n    </td>\r\n  </tr>\r\n</table>\r\n'),
	(21, 3, 'comment', '<table border=\"0\" cellspacing=\"0\" cellpadding=\"1\" align=\"center\" bgcolor=\"#666699\">\r\n  <tr align=\"center\">\r\n    <td>\r\n     <style type=\"text/css\">\r\n      <!--\r\n       .button {  font-family: Verdana, Arial, Helvetica, sans-serif; font-size: 8pt}\r\n       .textarea {  font-family: \"MS Sans Serif\"; font-size: 9pt; width: 195px}\r\n       .input {  width: 195px}\r\n      -->\r\n    </style><font color=\"#FFFFFF\" face=\"Verdana, Arial, Helvetica, sans-serif\" size=\"2\"><b>Submit Your Comment</b></font></td>\r\n  </tr>\r\n  <tr>\r\n    <td>\r\n      <table border=\"0\" cellspacing=\"0\" cellpadding=\"5\" align=\"center\" bgcolor=\"#FFFFFF\" width=\"200\">\r\n        <tr>\r\n          <td width=\"149\">\r\n            <form method=\"post\" action=\"\$this->form_forward\">\r\n              <table border=\"0\" cellspacing=\"0\" cellpadding=\"2\" bgcolor=\"\" align=\"center\">\r\n                <tr>\r\n                  <td class=\"td1\" height=\"40\"><b><font face=\"Verdana, Arial, Helvetica, sans-serif\" size=\"1\">\$question</font></b></td>\r\n                </tr>\r\n                <tr>\r\n                  <td class=\"td1\"><font face=\"Verdana, Arial, Helvetica, sans-serif\" size=\"1\">Name:</font><br>\r\n                    <input type=\"text\" name=\"name\" maxlength=\"25\" class=\"input\" size=\"23\">\r\n                  </td>\r\n                </tr>\r\n                <tr>\r\n                  <td class=\"td1\"><font face=\"Verdana, Arial, Helvetica, sans-serif\" size=\"1\">e-mail:</font><br>\r\n                    <input type=\"text\" name=\"email\" size=\"23\" maxlength=\"50\" class=\"input\">\r\n                  </td>\r\n                </tr>\r\n                <tr>\r\n                  <td class=\"td1\"><font face=\"Verdana, Arial, Helvetica, sans-serif\" size=\"1\">Comment(*):</font><br>\r\n                    <font face=\"MS Sans Serif\" size=\"1\">\r\n                    <textarea name=\"message\" cols=\"19\" wrap=\"VIRTUAL\" rows=\"3\" class=\"textarea\"></textarea>\r\n                    </font>\r\n                    \$POLL_CAPTCHA\r\n                  </td>\r\n                </tr>\r\n                <tr valign=\"top\">\r\n                  <td>\r\n                    <input type=\"submit\" value=\"Submit\" class=\"button\">\r\n                    <input type=\"reset\" value=\"Reset\" class=\"button\">\r\n                    <input type=\"hidden\" name=\"action\" value=\"add\">\r\n                    <input type=\"hidden\" name=\"id\" value=\"\$poll_id\">\r\n                    <input type=\"hidden\" name=\"time\" value=\"\$poll_time\">\r\n                  </td>\r\n                </tr>\r\n              </table>\r\n            </form>\r\n          </td>\r\n        </tr>\r\n      </table>\r\n    </td>\r\n  </tr>\r\n</table>\r\n'),
	(22, 4, 'display_head', '<table width=\"\$pollvars[table_width]\" border=\"0\" cellspacing=\"0\" cellpadding=\"1\" bgcolor=\"\$pollvars[bgcolor_fr]\">\r\n  <tr align=\"center\">\r\n    <td>\r\n      <style type=\"text/css\">\r\n <!--\r\n  .input { font-family: \$pollvars[font_face]; font-size: 8pt}\r\n -->\r\n</style>\r\n      <font face=\"\$pollvars[font_face]\" size=\"-1\" color=\"#FFFFFF\"><b>\$pollvars[title]</b></font></td>\r\n  </tr>\r\n  <tr align=\"center\"> \r\n    <td> \r\n      <table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"2\" align=\"center\" bgcolor=\"\$pollvars[bgcolor_tab]\">\r\n        <tr> \r\n          <td height=\"40\" valign=\"middle\"><font face=\"\$pollvars[font_face]\" color=\"\$pollvars[font_color]\" size=\"1\"><b>\$question</b></font></td>\r\n        </tr>\r\n        <tr align=\"right\" valign=\"top\"> \r\n          <td>\r\n            <form method=\"post\" action=\"\$this->form_forward\">\r\n               <table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\" align=\"center\">\r\n                <tr valign=\"top\" align=\"center\"> \r\n                  <td> \r\n                    <table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"1\" align=\"center\">\r\n'),
	(23, 4, 'display_loop', '<tr> \r\n   <td width=\"15%\"><input type=\"radio\" name=\"option_id\" value=\"\$data[option_id]\"></td>\r\n   <td width=\"85%\"><font face=\"\$pollvars[font_face]\" size=\"1\" color=\"\$pollvars[font_color]\">\$data[option_text]</font></td>\r\n </tr>\r\n'),
	(24, 4, 'display_foot', '                    </table>\r\n                    <input type=\"hidden\" name=\"action\" value=\"vote\">\r\n                    <input type=\"hidden\" name=\"poll_ident\" value=\"\$poll_id\">\r\n                    <input type=\"submit\" value=\"\$pollvars[vote_button]\" class=\"input\">\r\n                    <br>\r\n                    <br>\r\n                    <font face=\"\$pollvars[font_face]\" color=\"\$pollvars[font_color]\" size=\"1\"><a href=\"\$this->form_forward?action=results&amp;poll_ident=\$poll_id\">\$pollvars[result_text]</a><br>\r\n                    </font></td>\r\n                </tr>\r\n              </table>\r\n            </form>\r\n            <font face=\"\$pollvars[font_face]\" size=\"1\"><a href=\"http://www.proxy2.de\" target=\"_blank\" title=\"Advanced Poll\">Version \$pollvars[poll_version]</a></font>\r\n          </td>\r\n        </tr>\r\n      </table>\r\n    </td>\r\n  </tr>\r\n</table>\r\n'),
	(25, 4, 'result_head', '<table border=\"0\" cellspacing=\"0\" cellpadding=\"2\" width=\"360\">\r\n  <tr> \r\n    <td colspan=\"2\"><font face=\"\$pollvars[font_face]\" size=\"2\">\$question</font></td>\r\n  </tr>\r\n  <tr> \r\n    <td><img src=\"starnet/modules/poll/png.php?poll_id=\$poll_id\"></td>\r\n    <td> \r\n      <table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"1\" bgcolor=\"#000000\">\r\n        <tr> \r\n          <td> \r\n            <table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"3\" bgcolor=\"#EBEBEB\">'),
	(26, 4, 'result_loop', '            <tr> \r\n                <td width=\"12\"><font size=\"1\" face=\"\$pollvars[font_face]\"><img src=\"starnet/modules/poll/image/\$poll_color.gif\" width=\"8\" height=\"10\"></font></td>\r\n                <td><font size=\"1\" face=\"\$pollvars[font_face]\">\$option_text -\r\n                  \$vote_val</font></td>\r\n              </tr>'),
	(27, 4, 'result_foot', '              <tr> \r\n                <td>&nbsp;</td>\r\n                <td><font face=\"\$pollvars[font_face]\" size=\"1\">\$pollvars[total_text]: \r\n                 <font color=\"#990000\">\$total_votes</font><br>\r\n                 \$COMMENT&nbsp;</font></td>\r\n              </tr>\r\n            </table>\r\n          </td>\r\n        </tr>\r\n      </table>\r\n    </td>\r\n  </tr>\r\n</table>'),
	(28, 4, 'comment', '<table border=\"0\" cellspacing=\"0\" cellpadding=\"1\" align=\"center\" bgcolor=\"#666699\">\r\n  <tr align=\"center\">\r\n    <td>\r\n     <style type=\"text/css\">\r\n      <!--\r\n       .button {  font-family: Verdana, Arial, Helvetica, sans-serif; font-size: 8pt}\r\n       .textarea {  font-family: \"MS Sans Serif\"; font-size: 9pt; width: 195px}\r\n       .input {  width: 195px}\r\n      -->\r\n    </style><font color=\"#FFFFFF\" face=\"Verdana, Arial, Helvetica, sans-serif\" size=\"2\"><b>Submit Your Comment</b></font></td>\r\n  </tr>\r\n  <tr>\r\n    <td>\r\n      <table border=\"0\" cellspacing=\"0\" cellpadding=\"5\" align=\"center\" bgcolor=\"#FFFFFF\" width=\"200\">\r\n        <tr>\r\n          <td width=\"149\">\r\n            <form method=\"post\" action=\"\$this->form_forward\">\r\n              <table border=\"0\" cellspacing=\"0\" cellpadding=\"2\" bgcolor=\"\" align=\"center\">\r\n                <tr>\r\n                  <td class=\"td1\" height=\"40\"><b><font face=\"Verdana, Arial, Helvetica, sans-serif\" size=\"1\">\$question</font></b></td>\r\n                </tr>\r\n                <tr>\r\n                  <td class=\"td1\"><font face=\"Verdana, Arial, Helvetica, sans-serif\" size=\"1\">Name:</font><br>\r\n                    <input type=\"text\" name=\"name\" maxlength=\"25\" class=\"input\" size=\"23\">\r\n                  </td>\r\n                </tr>\r\n                <tr>\r\n                  <td class=\"td1\"><font face=\"Verdana, Arial, Helvetica, sans-serif\" size=\"1\">e-mail:</font><br>\r\n                    <input type=\"text\" name=\"email\" size=\"23\" maxlength=\"50\" class=\"input\">\r\n                  </td>\r\n                </tr>\r\n                <tr>\r\n                  <td class=\"td1\"><font face=\"Verdana, Arial, Helvetica, sans-serif\" size=\"1\">Comment(*):</font><br>\r\n                    <font face=\"MS Sans Serif\" size=\"1\">\r\n                    <textarea name=\"message\" cols=\"19\" wrap=\"VIRTUAL\" rows=\"3\" class=\"textarea\"></textarea>\r\n                    </font>\r\n                    \$POLL_CAPTCHA\r\n                  </td>\r\n                </tr>\r\n                <tr valign=\"top\">\r\n                  <td>\r\n                    <input type=\"submit\" value=\"Submit\" class=\"button\">\r\n                    <input type=\"reset\" value=\"Reset\" class=\"button\">\r\n                    <input type=\"hidden\" name=\"action\" value=\"add\">\r\n                    <input type=\"hidden\" name=\"id\" value=\"\$poll_id\">\r\n                    <input type=\"hidden\" name=\"time\" value=\"\$poll_time\">\r\n                  </td>\r\n                </tr>\r\n              </table>\r\n            </form>\r\n          </td>\r\n        </tr>\r\n      </table>\r\n    </td>\r\n  </tr>\r\n</table>\r\n'),
	(29, 5, 'display_head', '<table width=\"450\" border=\"0\" cellspacing=\"0\" cellpadding=\"2\" bgcolor=\"#CCCCCC\">\r\n  <tr>\r\n    <td align=\"center\">\r\n     <style type=\"text/css\">\r\n       <!--\r\n        .input { font-family: \$pollvars[font_face]; font-size: 9pt}\r\n       -->\r\n      </style> \r\n      <table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"3\" bgcolor=\"#F6F6F6\">\r\n        <tr align=\"center\"> \r\n          <td colspan=\"2\" height=\"40\"><font face=\"\$pollvars[font_face]\" color=\"\$pollvars[font_color]\" size=\"1\"><b>\$question</b></font></td>\r\n        </tr>\r\n        <tr align=\"center\"> \r\n          <td colspan=\"2\"> \r\n            <form method=\"post\" action=\"\$this->form_forward\">\r\n              <table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"1\">'),
	(30, 5, 'display_loop', ' <tr> \r\n   <td width=\"11%\" align=\"center\"><input type=\"radio\" name=\"option_id\" value=\"\$data[option_id]\"></td>\r\n   <td width=\"89%\"><font face=\"\$pollvars[font_face]\" size=\"1\" color=\"\$pollvars[font_color]\">\$data[option_text]</font></td>\r\n </tr>'),
	(31, 5, 'display_foot', '                <tr align=\"center\" valign=\"bottom\"> \r\n                  <td colspan=\"2\"> \r\n                    <input type=\"submit\" value=\"\$pollvars[vote_button]\" class=\"input\" name=\"submit\">\r\n                    <input type=\"hidden\" name=\"action\" value=\"vote\">\r\n                    <input type=\"hidden\" name=\"poll_ident\" value=\"\$poll_id\">\r\n                  </td>\r\n                </tr>\r\n                <tr valign=\"bottom\"> \r\n                  <td colspan=\"2\" height=\"30\" align=\"center\"><font face=\"\$pollvars[font_face]\" color=\"\$pollvars[font_color]\" size=\"1\">[<a href=\"\$this->form_forward?action=results&amp;poll_ident=\$poll_id\">\$pollvars[result_text]</a>]</font></td>\r\n                </tr>\r\n              </table>\r\n            </form>\r\n          </td>\r\n        </tr>\r\n      </table>\r\n    </td>\r\n  </tr>\r\n</table>\r\n'),
	(32, 5, 'result_head', '<table width=\"450\" border=\"0\" cellspacing=\"0\" cellpadding=\"2\" bgcolor=\"#CCCCCC\">\r\n  <tr>\r\n    <td align=\"center\"> \r\n      <table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"3\" bgcolor=\"#F6F6F6\">\r\n        <tr align=\"center\"> \r\n          <td colspan=\"3\" height=\"40\"><font face=\"\$pollvars[font_face]\" size=\"1\" color=\"#000000\"><b>\$question</b></font></td>\r\n        </tr>\r\n'),
	(33, 5, 'result_loop', '        <tr>\r\n          <td width=\"3%\">&nbsp;</td>\r\n          <td><font face=\"\$pollvars[font_face]\" color=\"\$pollvars[font_color]\" size=\"1\">\$option_text</font></td>\r\n          <td><font face=\"\$pollvars[font_face]\" color=\"\$pollvars[font_color]\" size=\"1\"><img src=\"starnet/modules/poll/image/\$poll_color.gif\" width=\"\$img_width\" height=\"\$pollvars[img_height]\"> \$vote_percent % (\$vote_count)</font></td>\r\n        </tr>\r\n'),
	(34, 5, 'result_foot', '        <tr> \r\n          <td colspan=\"3\" valign=\"bottom\" align=\"center\"><b><font face=\"\$pollvars[font_face]\" color=\"\$pollvars[font_color]\" size=\"1\">\$pollvars[total_text]: \r\n            \$total_votes</font></b></td>\r\n        </tr>\r\n        <tr align=\"center\"> \r\n          <td colspan=\"3\" valign=\"top\"><font face=\"\$pollvars[font_face]\" color=\"\$pollvars[font_color]\" size=\"1\">\$VOTE \r\n            <br>\r\n            \$COMMENT</font></td>\r\n        </tr>\r\n        <tr align=\"right\"> \r\n          <td colspan=\"3\"><font face=\"\$pollvars[font_face]\" size=\"1\"><a href=\"http://www.proxy2.de\" target=\"_blank\" title=\"Advanced Poll\">Version \$pollvars[poll_version]</a></font></td>\r\n        </tr>\r\n      </table>\r\n    </td>\r\n  </tr>\r\n</table>\r\n'),
	(35, 5, 'comment', '<table border=\"0\" cellspacing=\"0\" cellpadding=\"1\" align=\"center\" bgcolor=\"#666699\">\r\n  <tr align=\"center\">\r\n    <td>\r\n     <style type=\"text/css\">\r\n      <!--\r\n       .button {  font-family: Verdana, Arial, Helvetica, sans-serif; font-size: 8pt}\r\n       .textarea {  font-family: \"MS Sans Serif\"; font-size: 9pt; width: 195px}\r\n       .input {  width: 195px}\r\n      -->\r\n    </style><font color=\"#FFFFFF\" face=\"Verdana, Arial, Helvetica, sans-serif\" size=\"2\"><b>Send Your Comment</b></font></td>\r\n  </tr>\r\n  <tr>\r\n    <td>\r\n      <table border=\"0\" cellspacing=\"0\" cellpadding=\"5\" align=\"center\" bgcolor=\"#F3F3F3\" width=\"200\">\r\n        <tr>\r\n          <td width=\"149\">\r\n            <form method=\"post\" action=\"\$this->form_forward\">\r\n              <table border=\"0\" cellspacing=\"0\" cellpadding=\"2\" bgcolor=\"\" align=\"center\">\r\n                <tr>\r\n                  <td class=\"td1\" height=\"40\"><b><font face=\"Verdana, Arial, Helvetica, sans-serif\" size=\"1\">\$question</font></b></td>\r\n                </tr>\r\n                <tr>\r\n                  <td class=\"td1\"><font face=\"Verdana, Arial, Helvetica, sans-serif\" size=\"1\">Name:</font><br>\r\n                    <input type=\"text\" name=\"name\" maxlength=\"25\" class=\"input\" size=\"23\">\r\n                  </td>\r\n                </tr>\r\n                <tr>\r\n                  <td class=\"td1\"><font face=\"Verdana, Arial, Helvetica, sans-serif\" size=\"1\">e-mail:</font><br>\r\n                    <input type=\"text\" name=\"email\" size=\"23\" maxlength=\"50\" class=\"input\">\r\n                  </td>\r\n                </tr>\r\n                <tr>\r\n                  <td class=\"td1\"><font face=\"Verdana, Arial, Helvetica, sans-serif\" size=\"1\">Comment(*):</font><br>\r\n                    <font face=\"MS Sans Serif\" size=\"1\">\r\n                    <textarea name=\"message\" cols=\"19\" wrap=\"VIRTUAL\" rows=\"3\" class=\"textarea\"></textarea>\r\n                    </font>\r\n                    \$POLL_CAPTCHA\r\n                  </td>\r\n                </tr>\r\n                <tr valign=\"top\">\r\n                  <td>\r\n                    <input type=\"submit\" value=\"Submit\" class=\"button\">\r\n                    <input type=\"reset\" value=\"Reset\" class=\"button\">\r\n                    <input type=\"hidden\" name=\"action\" value=\"add\">\r\n                    <input type=\"hidden\" name=\"id\" value=\"\$poll_id\">\r\n                    <input type=\"hidden\" name=\"time\" value=\"\$poll_time\">\r\n                  </td>\r\n                </tr>\r\n              </table>\r\n            </form>\r\n          </td>\r\n        </tr>\r\n      </table>\r\n    </td>\r\n  </tr>\r\n</table>\r\n'),
	(36, 0, 'poll_comment', '<table border=\"0\" cellspacing=\"1\" cellpadding=\"2\" width=\"450\">\r\n  <tr bgcolor=\"#E4E4E4\"> \r\n    <td bgcolor=\"#F2F2F2\"><b><font size=\"1\" face=\"Verdana, Arial, Helvetica, sans-serif\">\$data[name]</font></b> \r\n      <i><font size=\"1\" face=\"Verdana, Arial, Helvetica, sans-serif\">\$data[email]</font></i> \r\n      - <font size=\"1\" face=\"Verdana, Arial, Helvetica, sans-serif\">\$data[time]</font>\r\n    </td>\r\n  </tr>\r\n  <tr>\r\n    <td><font size=\"2\" face=\"Verdana, Arial, Helvetica, sans-serif\">\$data[message]</font> \r\n    </td>\r\n  </tr>\r\n  <tr> \r\n    <td height=\"15\">&nbsp;</td>\r\n  </tr>\r\n</table>\r\n'),
	(37, 0, 'poll_list', '<table border=\"0\" cellspacing=\"0\" cellpadding=\"4\" width=\"450\">\r\n  <tr> \r\n    <td width=\"80\" valign=\"top\"> &#0149; <font size=\"2\" face=\"Arial, Helvetica, sans-serif\"><i>\$data[timestamp]</i></font></td>\r\n    <td width=\"354\"><font face=\"Arial, Helvetica, sans-serif\" size=\"2\"><a href=\"\$PHP_SELF?poll_id=\$data[poll_id]\">\$data[question]</a></font></td>\r\n  </tr>\r\n</table>\r\n'),
	(38, 0, 'poll_form', '<table border=\"0\" cellspacing=\"0\" cellpadding=\"0\">\r\n  <tr> \r\n    <td> \r\n      <style type=\"text/css\">\r\n      <!--\r\n       .button {  font-family: Verdana, Arial, Helvetica, sans-serif; font-size: 8pt}\r\n       .poll_textarea {  font-family: \"MS Sans Serif\"; font-size: 9pt; width: 300px}\r\n       .poll_input {  width: 300px}\r\n      -->\r\n    </style>\r\n      <form method=\"post\" action=\"\$this->form_forward\">\r\n        <table border=\"0\" cellspacing=\"0\" cellpadding=\"4\">\r\n          <tr>\r\n            <td class=\"td1\"><font color=\"#CC0000\" face=\"Verdana, Arial, Helvetica, sans-serif\" size=\"1\"><b>\$msg</b></font></td>\r\n          </tr>\r\n          <tr> \r\n            <td class=\"td1\"><font face=\"Verdana, Arial, Helvetica, sans-serif\" size=\"1\">Name:</font><br>\r\n              <input type=\"text\" name=\"name\" value=\"\$comment[name]\" maxlength=\"30\" class=\"poll_input\" size=\"25\">\r\n            </td>\r\n          </tr>\r\n          <tr> \r\n            <td class=\"td1\"><font face=\"Verdana, Arial, Helvetica, sans-serif\" size=\"1\">E-mail:</font><br>\r\n              <input type=\"text\" name=\"email\" value=\"\$comment[email]\" size=\"25\" maxlength=\"50\" class=\"poll_input\">\r\n            </td>\r\n          </tr>\r\n          <tr> \r\n            <td class=\"td1\"> <font face=\"Verdana, Arial, Helvetica, sans-serif\" size=\"1\">Comment:</font><br>\r\n              <font face=\"MS Sans Serif\" size=\"1\"> \r\n              <textarea name=\"message\" cols=\"25\" wrap=\"VIRTUAL\" rows=\"8\" class=\"poll_textarea\">\$comment[message]</textarea>\r\n              </font>\r\n              \$POLL_CAPTCHA\r\n              </td>\r\n          </tr>\r\n          <tr valign=\"top\"> \r\n            <td>              \r\n              <input type=\"submit\" value=\"Submit\" class=\"button\" name=\"submit\">\r\n              <input type=\"reset\" value=\"Reset\" class=\"button\" name=\"reset\">\r\n              <input type=\"hidden\" name=\"action\" value=\"add\">\r\n              <input type=\"hidden\" name=\"pcomment\" value=\"\$poll_id\">\r\n              <input type=\"hidden\" name=\"time\" value=\"\$poll_time\">\r\n            </td>\r\n          </tr>\r\n        </table>\r\n      </form>\r\n    </td>\r\n  </tr>\r\n</table>\r\n'),
	(40, 0, 'poll_captcha', '<div style=\"margin-top:3px;display:block;\">\r\n	<img src=\"starnet/modules/poll/captcha.php?time=\$poll_time\" border=\"0\" style=\"float:left;margin-right:6px\"><input type=\"text\" name=\"captcha\" maxlength=\"20\" style=\"width:100px;margin-top:4px\">\r\n</div>\r\n')");
	
	$table_templateset = $dbprefix."m_poll_templateset";
	mysqli_query($db,"CREATE TABLE IF NOT EXISTS $table_templateset (
	  tplset_id int(10) unsigned NOT NULL AUTO_INCREMENT,
	  tplset_name varchar(50) NOT NULL DEFAULT '',
	  created datetime DEFAULT '0000-00-00 00:00:00',
	  PRIMARY KEY (tplset_id)
	)") ;
	
	mysqli_query($db,"INSERT INTO $table_templateset (tplset_id, tplset_name, created) VALUES
	(1, 'default', '2008-12-31 15:54:18'),
	(2, 'simple', '2008-12-31 15:54:18'),
	(3, 'popup', '2008-12-31 15:54:18'),
	(4, 'graphic', '2008-12-31 15:54:18'),
	(5, 'plain', '2008-12-31 15:54:18')");
}

//album module
$table_album_cat = $dbprefix . "m_album_cat";
mysqli_query($db,"ALTER TABLE $table_album_cat ADD publish tinyint(1) NOT NULL default 0");
mysqli_query($db,"update $table_album_cat set publish = 1 where id > 0");
mysqli_query($db,"INSERT INTO $table_configuration VALUES ('allbum_max_pictures_per_page', '99', 'maximum pictures per page')");
mysqli_query($db,"INSERT INTO $table_configuration VALUES ('allbum_parent_upload_email', '', 'parent upload owner email')");
mysqli_query($db,"INSERT INTO $table_configuration VALUES ('allbum_parent_upload_user', '', NULL)");
mysqli_query($db,"INSERT INTO $table_configuration VALUES ('allbum_parent_upload_password', '', NULL)");
mysqli_query($db,"INSERT INTO $table_configuration VALUES ('allbum_parent_upload_max_pixels', '600', NULL)");
mysqli_query($db,"INSERT INTO $table_configuration VALUES ('allbum_parent_upload_welcome', 'As a parent you can upload pictures to an album.', NULL)");
mysqli_query($db,"UPDATE $table_modules SET options = 'overview.php,View Albums,view_pictures.php,View Album per page,slideshow.php,Album slideshow,parent_upload.php,Upload by parents'  WHERE location = 'sn_allbum'");

//general
mysqli_query($db,"INSERT INTO $table_configuration VALUES ('editor_width', '780', 'width in pixels for editor')");
mysqli_query($db,"INSERT INTO $table_configuration VALUES ('stats_ip_names', 'Localhost', 'Names for the stats ip filter')");

//message
$table_message_cat = $dbprefix . "m_message_cat";
mysqli_query($db,"ALTER TABLE $table_message_cat ADD show_latest TINYINT( 1 ) DEFAULT '0' NOT NULL") ;

//remove all thumbs staring with zz_thumb
$userpath = $sas_config['user_path']; //get the directoryname of the cms
if (substr($userpath, 0, 1) == "/")
{
	$userpath = substr($userpath, 1); //strip first slash
}

$serverpath = $sas_config['serverpath']; //get the document root of the site
if (strrpos($serverpath, '/') != strlen($serverpath) - 1)
{
	$serverpath .= '/'; //add last slash if not present
}

$serverpath = $serverpath . $userpath;
$target = "/media";
remove_zz_thumb($serverpath.$target) ;
$target = "/studentpages";
remove_zz_thumb($serverpath.$target) ;

//set new patch version
mysqli_query($db,"UPDATE $table_configuration SET config_value = '2.8' WHERE config_key = 'sas_version'");
mysqli_query($db,"UPDATE $table_configuration SET config_value = '00' WHERE config_key = 'sas_patch_version'");

print "<p>Migration is finished, current SyndeoCMS version is: 2.8<br>
You can now continue normal operation on your site.<p>
You can login to admin <a href=../index.php>here</a><br>";
?>
</td>
<br><br></td>
  </tr>
</table>
</TD>
</TR>
<TR>
<TD vAlign="top" align=right width="65%">
<p>
</TD>
</TR>
</TBODY></TABLE>
</TD></TR></TBODY></TABLE></TD>
</TR></TBODY></TABLE>
<?php
}
?>
</BODY>
</HTML>