<?php
/*
TinyBrowser 1.41 - A TinyMCE file browser (C) 2008  Bryn Jones
(author website - http://www.lunarvis.com)

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
    
    Modified for Syndeo CMS Software Version: 2.8.00  
    upload.php: last changed 29/03/2009 by Fred Stuurman (fc.stuurman@gmail.com)
    Copyright (C) 2009: Fred Stuurman (fc.stuurman@gmail.com)
*/
if (!defined('IN_SAS'))
{
	die("Hacking attempt");
}

// Assign upload path
$uploadpath = urlencode($tinybrowser['path'][$typenow].$foldernow);

// Assign directory structure to array
$uploaddirs=array();
dirtree($uploaddirs,$tinybrowser['filetype'][$typenow],$tinybrowser['docroot'],$tinybrowser['path'][$typenow]);

?>
<link rel="stylesheet" type="text/css" media="all" href="core/tinybrowser/css/stylefull_tinybrowser.css" />
<link rel="stylesheet" type="text/css" media="all" href="core/tinybrowser/css/style_tinybrowser.css.php" />
<link rel="stylesheet" href="interface/jquery/plupload/jquery.ui.plupload/css/jquery.ui.plupload.css" type="text/css" />

<script type="text/javascript" src="interface/jquery/plupload/browserplus-min.js"></script>

<script type="text/javascript" src="interface/jquery/plupload/plupload.js"></script>
<script type="text/javascript" src="interface/jquery/plupload/plupload.gears.js"></script>
<script type="text/javascript" src="interface/jquery/plupload/plupload.silverlight.js"></script>
<script type="text/javascript" src="interface/jquery/plupload/plupload.flash.js"></script>
<script type="text/javascript" src="interface/jquery/plupload/plupload.browserplus.js"></script>
<script type="text/javascript" src="interface/jquery/plupload/plupload.html4.js"></script>
<script type="text/javascript" src="interface/jquery/plupload/plupload.html5.js"></script>
<script type="text/javascript" src="interface/jquery/plupload/jquery.ui.plupload/jquery.ui.plupload.js"></script>

<script type="text/javascript" src="interface/jquery/plupload/nl.js"></script>

<?php
if(count($notify['type'])>0) alert($notify);
form_open('foldertab',false,'index.php','?option=filemanager&amp;suboption=upload&amp;type='.$typenow);
?>
<div class="tabs">
<ul>
<?php
if($tinybrowser['allowfolders'])
{
	?><li id="folders_tab"><span><a href="index.php?option=filemanager&amp;path=<?php echo $path ?>&amp;suboption=folders&amp;type=<?php echo $typenow.$passfolder; ?>"><?php echo TB_FOLDERS; ?></a></span></li><?php
}
// Display folder select, if multiple exist
if(count($uploaddirs)>1)
{
	?><li id="folder_tab" class="right"><span><?php
	form_select($uploaddirs,'folder',TB_FOLDERCURR,urlencode($foldernow),true);
	?></span></li><?php
}
?>
<li id="upload_tab" class="current"><span><a href="index.php?option=filemanager&amp;path=<?php echo $path ?>&amp;suboption=upload&amp;type=<?php echo $typenow.$passfolder ; ?>"><?php echo TB_UPLOAD; ?></a></span></li>
<?php
form_open('foldertab',false,'index.php','?option=filemanager&amp;path='.$path.'&amp;suboption=upload&amp;type='.$typenow.$passviewtype.$passsortby);

if($tinybrowser['allowedit'] || $tinybrowser['allowdelete'])
{
	?><li id="edit_tab"><span><a href="index.php?option=filemanager&amp;path=<?php echo $path ?>&amp;suboption=edit&amp;type=<?php echo $typenow.$passfolder ; ?>"><?php echo TB_EDIT; ?></a></span></li>
	<?php 
}

?>
<li id="browse_tab"><span><a href="index.php?option=filemanager&amp;path=<?php echo $path ?>&amp;suboption=browse&amp;type=<?php echo $typenow.$passfolder ; ?>"><?php echo TB_BROWSE; ?></a></span></li>
</ul>
</div>
</form>
<div class="panel_wrapper">
<div id="general_panel" class="panel currentmod">
<fieldset>
<legend><?php echo TB_UPLOADFILES; ?></legend>
<?php
$dirs = preg_split("/\//", $foldernow);
//print_r($dirs);
echo TB_FOLDERCURR . "<b><a href=\"index.php?option=filemanager&amp;path=".$path."&amp;suboption=browse&amp;type=".$typenow."&amp;folder=\">" . $path . "</a>/";  

for ($i = 0; $i < count($dirs)-1; $i++) 
{
    $dir_name .= $dirs[$i]."/";
	print "<a href=\"index.php?option=filemanager&amp;path=".$path."&amp;suboption=browse&amp;type=".$typenow."&amp;folder=".urlencode($dir_name)."\">".$dirs[$i]."</a>/";
}

if ($path == "studentpages")  //get the pupil name when we list student dirs
{
	print "</b> " . get_student_name($dirs[0]) ;
}
print "<br /><br />";
$_SESSION['store_path'] = $path."/".$foldernow; ;
?>
<div id="uploader">
	<p>Uw browser heeft geen Flash, Silverlight, Gears, BrowserPlus of HTML5 support.</p>
</div>

<script type="text/javascript">
// Convert divs to queue widgets when the DOM is ready
$(function() {
	$("#uploader").plupload({
		// General settings
		runtimes : 'html5,flash,browserplus,silverlight,gears,html4',
		url : '<?php echo $sas_config['url'] . $cmsdir ?>/core/do_upload.php',
		max_file_size : '256mb',
		max_file_count: 100, // user can add no more then 20 files at a time
		chunk_size : '1mb',
		rename: true,
		multiple_queues : true,

		// Rename files by clicking on their titles
		rename: true,
		
		// Sort files
		sortable: true,

		// Specify what files to browse for
		filters : [
			{title : "Foto bestanden", extensions : "jpg,gif,png"},
			{title : "Alle bestanden", extensions : "<?php echo $sas_config['valid_file_extentions'] ?>"}
		],

		// Flash settings
		flash_swf_url : 'interface/jquery/plupload/plupload.flash.swf',

		// Silverlight settings
		silverlight_xap_url : 'interface/jquery/plupload/plupload.silverlight.xap'
	});

	// Client side form validation
	$('form').submit(function(e) {
        var uploader = $('#uploader').plupload('getUploader');

        // Files in queue upload them first
        if (uploader.files.length > 0) {
            // When all files are uploaded submit form
            uploader.bind('StateChanged', function() {
                if (uploader.files.length === (uploader.total.uploaded + uploader.total.failed)) {
                    $('form')[0].submit();
                }
            });
                
            uploader.start();
        } else
            alert('You must at least upload one file.');

        return false;
    });
});
</script>	
</fieldset></div></div>