﻿/*********************************************************************************************************/
/**
 * inserthtml plugin for CKEditor 3.x (Author: Lajox ; Email: lajox@19www.com)
 * version:	 1.0
 * Released: On 2009-12-11
 * Download: http://code.google.com/p/lajox
 */
/*********************************************************************************************************/

// Our dialog definition.
CKEDITOR.dialog.add( 'inserthtmlDialog', function( editor ) {
	return {
		
		// Basic properties of the dialog window: title, minimum size.
		title: 'HTML invoegen',
		minWidth: 400,
		minHeight: 200,

		// Dialog window contents definition.
		contents: [
			{
				// Definition of the Basic Settings dialog tab (page).
				id: 'tab-basic',
				label: 'Basic Settings',

				// The tab contents.
				elements:[
							{
								type : 'html',
								id : 'intro',
								html : 'Type of kopieer de HTML en klik op de OK knop om het in te voegen op de plek van de cursor in de editor.'
							},
							{ 
								type:'textarea',
								id:'insertcode_area',
								cols:60,
								rows:11
						  }]
			}
		],

		// This method is invoked once a user clicks the OK button, confirming the dialog.
		onOk: function() {

			// The context of this function is the dialog object itself.
			// http://docs.ckeditor.com/#!/api/CKEDITOR.dialog
			var dialog = this;

			var html = dialog.getValueOf( 'tab-basic', 'insertcode_area' );

			// Finally, inserts the html at the editor caret position.
			if ( html.length > 0 ) 
			editor.insertHtml(html)
		}
	};
});